summaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
authorNat Goodspeed <nat@lindenlab.com>2016-12-22 15:12:31 -0500
committerNat Goodspeed <nat@lindenlab.com>2016-12-22 15:12:31 -0500
commit5bb619da9708c24a40f68be1e6eed1928b4b132c (patch)
tree2980ae416b8930be4e0a96f0e31277097a4594c6 /build.sh
parent0131e8a0815826bda538908991d28e23624c0754 (diff)
parenteaeadf71e00ae8381ca3d68ece5f87a31fa8c46e (diff)
Automated merge with ssh://bitbucket.org/lindenlab/viewer64
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh34
1 files changed, 19 insertions, 15 deletions
diff --git a/build.sh b/build.sh
index 130c620d23..531be4f81d 100755
--- a/build.sh
+++ b/build.sh
@@ -403,21 +403,25 @@ then
if [ "$last_built_variant" = "Release" ]
then
- # Upload crash reporter file
- # These names must match the set of VIEWER_SYMBOL_FILE in indra/newview/CMakeLists.txt
- case "$arch" in
- CYGWIN)
- symbolfile="$build_dir/newview/Release/secondlife-symbols-windows-${AUTOBUILD_ADDRSIZE}.tar.bz2"
- ;;
- Darwin)
- symbolfile="$build_dir/newview/Release/secondlife-symbols-darwin-${AUTOBUILD_ADDRSIZE}.tar.bz2"
- ;;
- Linux)
- symbolfile="$build_dir/newview/Release/secondlife-symbols-linux-${AUTOBUILD_ADDRSIZE}.tar.bz2"
- ;;
- esac
- python_cmd "$helpers/codeticket.py" addoutput "Symbolfile" "$symbolfile" \
- || fatal "Upload of symbolfile failed"
+ # nat 2016-12-22: without RELEASE_CRASH_REPORTING, we have no symbol file.
+ if [ "${RELEASE_CRASH_REPORTING:-}" != "OFF" ]
+ then
+ # Upload crash reporter file
+ # These names must match the set of VIEWER_SYMBOL_FILE in indra/newview/CMakeLists.txt
+ case "$arch" in
+ CYGWIN)
+ symbolfile="$build_dir/newview/Release/secondlife-symbols-windows-${AUTOBUILD_ADDRSIZE}.tar.bz2"
+ ;;
+ Darwin)
+ symbolfile="$build_dir/newview/Release/secondlife-symbols-darwin-${AUTOBUILD_ADDRSIZE}.tar.bz2"
+ ;;
+ Linux)
+ symbolfile="$build_dir/newview/Release/secondlife-symbols-linux-${AUTOBUILD_ADDRSIZE}.tar.bz2"
+ ;;
+ esac
+ python_cmd "$helpers/codeticket.py" addoutput "Symbolfile" "$symbolfile" \
+ || fatal "Upload of symbolfile failed"
+ fi
# Upload the llphysicsextensions_tpv package, if one was produced
# *TODO: Make this an upload-extension